

// Create an HTML script to call the JavaScript script
<!DOCTYPE html>
<html>
<body>

<h1>Scanning your QR code </h1>
<canvas id="qr-canvas" width="800" height="600"></canvas>

<script>
    // Get the canvas element
    var canvas = document.getElementById("qr-canvas");
    var context = canvas.getContext("2d");
 
    // Set the constraints of the scanner
    var constraints = {
        video: {
            facingMode: "environment"
        }
    };
 
    // When the constraints are in place, start the camera
    navigator.mediaDevices.getUserMedia(constraints).then(function success(stream){
        // Connect to the camera's stream
        var video = document.createElement("video");
        video.srcObject = stream;
        video.setAttribute("playsinline", true); 
        video.play();
 
        // Reposition and resize the video for the canvas
        window.setInterval(function(){
            context.drawImage(video, 0, 0, 800, 600);
        }, 16);
 
        // Put the video stream onto an imageData object
        var imageData = context.getImageData(0, 0, 800, 600);
 
        // Apply a QR code reading library on the image
        qrcode.callback = function(data){
            console.log(data);
            alert("You scanned a QR code with data: " + data);
        };
 
        qrcode.decode(imageData);
    }, function error(){
        // Handle any errors here
    });
</script>

</body>
</html>